##### 公共 配置 #######

#内置Tomcat容器配置
server:
  tomcat:
    uri-encoding: UTF-8
  port: 8081
  servlet:
    #应用路径，配置应用路径，可方便进行反向代理
    context-path:
#    context-path: /baseadmin
#基础配置
spring:
  servlet:
    multipart:
      max-file-size: 100MB
      max-request-size: 200MB
  # session配置单位秒
  session:
    timeout: 30 # 设置session失效时间
    store-type: redis # 修改spring-session存储配置，默认存储到服务器内存中，现在设置存到redis中（关键）
  http:
    encoding:
      force: true
      charset: utf-8
      enabled: true
  resources:
    chain:
      strategy:
        content:
          enabled: true
          paths: /*
  profiles:
    active: ${BASE_ADMIN:dev} #选择配置分支，先读取系统环境变量，如果没有则默认值为 dev
  application:
    name: scientific-cirle
  #打印SQL
  jpa:
    hibernate:
      ddl-auto: update
    show-sql: true
    properties:
      hibernate:
        dialect: org.hibernate.dialect.MySQL5Dialect
  #修改thymeleaf访问根路径
  thymeleaf:
    mode: LEGANCYHTML5
    cache: false
    encoding: UTF-8
    #     新版本不支持content-type: text/html，故新写法
    servlet:
      content-type: text/html
    prefix: classpath:/templates/
    suffix: .html
  devtools:
    restart:
      enabled: true
      additional-paths: src/main/java
  redis:
    database: 0
    host: 82.156.19.205
    port: 6379
    password: Baige@321
    timeout: 30000
    lettuce:
      pool:
        max-active: 8
        max-wait: -1
        max-idle: 8
        min-idle: 0
qkyxzx:
  utils:
    identification-number-encryptor:
      key: sMoIq6WD57lY23dq
  # 问卷相关功能配置
  questionnaire:
    # 性能优化
    performance-optimization:
      # 是否启用性能优化（采用缓存和队列技术来改善问卷查询慢、问卷答案提交慢等问题）
      enabled: true
      # 启用哪些优化项目（answer-submission：提交答案时优先使用队列并立即返回前端保存成功；questionnaire-query：在项目启动时即对问卷进行查询并放入缓存，前端请求问卷时可获得毫秒级结果回应）
      items: questionnaire-query, answer-submission
